MsWks4TextInternal::Object Struct Reference

Internal: class to store field definition: TOKN entry. More...

## Public Member Functions
| Object ()
| constructor

## Public Attributes
int | m_type
| the object type
int | m_id
| the local id
MWAWVec2i | m_dim
| the dimension
long | m_fileId
| the file id
std::string | m_error
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Object const &tok)
| operator <<

## Detailed Description

Internal: class to store field definition: TOKN entry.

## Constructor & Destructor Documentation

## ◆ Object()

MsWks4TextInternal::Object::Object | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Object const & | tok )
| friend

operator <<

## Member Data Documentation

## ◆ m_dim

MWAWVec2i MsWks4TextInternal::Object::m_dim

the dimension

Referenced by MsWks4Text::eobjDataParser(), Object(), and operator<<.

## ◆ m_error

std::string MsWks4TextInternal::Object::m_error

a string used to store the parsing errors

Referenced by MsWks4Text::eobjDataParser(), Object(), and operator<<.

## ◆ m_fileId

long MsWks4TextInternal::Object::m_fileId

the file id

Referenced by MsWks4Text::eobjDataParser(), Object(), and operator<<.

## ◆ m_id

int MsWks4TextInternal::Object::m_id

the local id

Referenced by MsWks4Text::eobjDataParser(), Object(), and operator<<.

## ◆ m_type

int MsWks4TextInternal::Object::m_type

the object type

Referenced by MsWks4Text::eobjDataParser(), Object(), and operator<<.

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx